org.eclipse.actf.visualization.engines.voicebrowser

## Interface IVoiceBrowserController

    public interface IVoiceBrowserController

Interface of voice browser controller. The instance is available from `VoiceBrowserControllerFactory`.

See Also:
  `VoiceBrowserControllerFactory`

### Field Summary

Fields
`static int` `DO_BOTTOM_OF_PAGE` Command: move to bottom of page
`static int` `DO_CURR_ELEMENT` Command: revisit current element
`static int` `DO_CURR_LINE` Command: revisit current line
`static int` `DO_CURR_LINK` Command: revisit current link
`static int` `DO_LINK_JUMP` Command: invoke link jump
`static int` `DO_NEXT_10LINE` Command: move 10 lines forward
`static int` `DO_NEXT_LINE` Command: move to next line
`static int` `DO_NEXT_LINK` Command: move to next link
`static int` `DO_PLAY` Command: start continuous reading
`static int` `DO_PREV_10LINE` Command: move 10 lines backward
`static int` `DO_PREV_LINE` Command: move to previous line
`static int` `DO_PREV_LINK` Command: move to previous link
`static int` `DO_STOP` Command: stop reading
`static int` `DO_TOP_OF_PAGE` Command: move to top of page
`static int` `HPR_MODE` HomePage Reader simulation mode
`static int` `SCREEN_READER_MODE` Screen reader simulation mode

### Method Summary

Methods
`void` `addCursorListener(CursorListener listener)` Add CursorListener
`void` `addSelectionObserver(SelectionObserver observer)` Add SelectionObserver
`void` `addView(IVoiceBrowserView view)` Add voice browser text view
`String` `doCommand(int command)` Do command.
`IPacketCollection` `getPacketCollection()` Get packet collection generated from the target Document
`void` `removeCursorListener(CursorListener listener)` Remove CursorListener.
`void` `removeSelectionObserver(SelectionObserver observer)` Remove SelectionObserver.
`void` `removeView(IVoiceBrowserView view)` Remove voice browser text view
`void` `setDocument(Document document)` Set target Document to voice browser controller
`void` `setMode(int mode)` Set voice browser simulation mode
`void` `setSpeechControl(ITTSEngine ttsEngine)` Set Text To Speech (TTS) Engine to enable speech output.

### Field Detail

#### DO_PREV_LINE

    static final int DO_PREV_LINE

Command: move to previous line

See Also:
  Constant Field Values

#### DO_CURR_LINE

    static final int DO_CURR_LINE

Command: revisit current line

See Also:
  Constant Field Values

#### DO_NEXT_LINE

    static final int DO_NEXT_LINE

Command: move to next line

See Also:
  Constant Field Values

#### DO_PREV_LINK

    static final int DO_PREV_LINK

Command: move to previous link

See Also:
  Constant Field Values

#### DO_CURR_LINK

    static final int DO_CURR_LINK

Command: revisit current link

See Also:
  Constant Field Values

#### DO_NEXT_LINK

    static final int DO_NEXT_LINK

Command: move to next link

See Also:
  Constant Field Values

#### DO_PREV_10LINE

    static final int DO_PREV_10LINE

Command: move 10 lines backward

See Also:
  Constant Field Values

#### DO_NEXT_10LINE

    static final int DO_NEXT_10LINE

Command: move 10 lines forward

See Also:
  Constant Field Values

#### DO_CURR_ELEMENT

    static final int DO_CURR_ELEMENT

Command: revisit current element

See Also:
  Constant Field Values

#### DO_TOP_OF_PAGE

    static final int DO_TOP_OF_PAGE

Command: move to top of page

See Also:
  Constant Field Values

#### DO_BOTTOM_OF_PAGE

    static final int DO_BOTTOM_OF_PAGE

Command: move to bottom of page

See Also:
  Constant Field Values

#### DO_PLAY

    static final int DO_PLAY

Command: start continuous reading

See Also:
  Constant Field Values

#### DO_STOP

    static final int DO_STOP

Command: stop reading

See Also:
  Constant Field Values

#### DO_LINK_JUMP

    static final int DO_LINK_JUMP

Command: invoke link jump

See Also:
  Constant Field Values

#### HPR_MODE

    static final int HPR_MODE

HomePage Reader simulation mode

See Also:
  Constant Field Values

#### SCREEN_READER_MODE

    static final int SCREEN_READER_MODE

Screen reader simulation mode

See Also:
  Constant Field Values

### Method Detail

#### setMode

    void setMode(int mode)

Set voice browser simulation mode

Parameters:
  `mode` - HPR_MODE or SCREEN_READER_MODE

#### setDocument

    void setDocument(Document document)

Set target Document to voice browser controller

Parameters:
  `document` - target Document

#### doCommand

    String doCommand(int command)

Do command.

Parameters:
  `command` - ID of commands
Returns:
  String result string for DO_LINK_JUMP command, null for others

#### getPacketCollection

    IPacketCollection getPacketCollection()

Get packet collection generated from the target Document

Returns:
  IPacketCollection

#### addView

    void addView(IVoiceBrowserView view)

Add voice browser text view

Parameters:
  `view` - target view
See Also:
  `IVoiceBrowserView`

#### removeView

    void removeView(IVoiceBrowserView view)

Remove voice browser text view

Parameters:
  `view` - target view

#### addSelectionObserver

    void addSelectionObserver(SelectionObserver observer)

Add SelectionObserver

Parameters:
  `observer` - target SelectionObserver
See Also:
  `SelectionObserver`

#### removeSelectionObserver

    void removeSelectionObserver(SelectionObserver observer)

Remove SelectionObserver.

Parameters:
  `observer` - target SelectionObserver

#### addCursorListener

    void addCursorListener(CursorListener listener)

Add CursorListener

Parameters:
  `listener` - target CursorListener
See Also:
  `CursorListener`

#### removeCursorListener

    void removeCursorListener(CursorListener listener)

Remove CursorListener.

Parameters:
  `listener` - target CursorListener

#### setSpeechControl

    void setSpeechControl(ITTSEngine ttsEngine)

Set Text To Speech (TTS) Engine to enable speech output.

Parameters:
  `ttsEngine` - target TTS engine